package cn.datax.service.system.service;

import cn.datax.service.system.api.entity.WorkflowConfigEntity;
import cn.datax.service.system.api.dto.WorkflowConfigDto;
import cn.datax.common.base.BaseService;

/**
 * <p>
 * 工作流配置信息表 服务类
 * </p>
 *
 * @author yuwei
 * @since 2020-05-19
 */
public interface WorkflowConfigService extends BaseService<WorkflowConfigEntity> {

    void saveWorkflowConfig(WorkflowConfigDto workflowConfig);

    void updateWorkflowConfig(WorkflowConfigDto workflowConfig);

    WorkflowConfigEntity getWorkflowConfigById(String id);

    void deleteWorkflowConfigById(String id);
}
